<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/privileged/lfree_name.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>:Info:  lfree_name: lfn:  1983-03-31  lfree_name, lfn
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in lfree_name:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry:  lfree_name:  1983-03-11 lfree_name, lfn
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Function:  interfaces with the installation subroutine that frees names
<span id="L12" class="LineNr">12 </span>on one directory entry so that those names can be used on a replacement
<span id="L13" class="LineNr">13 </span>entry.  It is part of the Multics Installation System <span class="textRainbow_lv0_p0">(</span>MIS<span class="textRainbow_lv0_p0">)</span>, which is
<span id="L14" class="LineNr">14 </span>used to install modifications in the Multics Online Libraries.
<span id="L15" class="LineNr">15 </span>
<span id="L16" class="LineNr">16 </span>
<span id="L17" class="LineNr">17 </span>Syntax:  lfree_name PATHNAME
<span id="L18" class="LineNr">18 </span>         lfn PATHNAME
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span>
<span id="L21" class="LineNr">21 </span>Arguments:
<span id="L22" class="LineNr">22 </span>PATHNAME
<span id="L23" class="LineNr">23 </span>   is the relative or absolute pathname that identifies the entry whose
<span id="L24" class="LineNr">24 </span>   name is to be freed.  Only the final entryname of the pathname is
<span id="L25" class="LineNr">25 </span>   freed.  All other names on the entry remain intact.  The star
<span id="L26" class="LineNr">26 </span>   convention can not be used.
<span id="L27" class="LineNr">27 </span>
<span id="L28" class="LineNr">28 </span>
<span id="L29" class="LineNr">29 </span>:Entry:  restore:  1983-03-11 lfree_name$restore
<span id="L30" class="LineNr">30 </span>
<span id="L31" class="LineNr">31 </span>
<span id="L32" class="LineNr">32 </span>Function:  This entry point unfrees <span class="textRainbow_lv0_p0">(</span>or restores<span class="textRainbow_lv0_p0">)</span> a freed entryname by
<span id="L33" class="LineNr">33 </span>reversing the algorithm described above.
<span id="L34" class="LineNr">34 </span>
<span id="L35" class="LineNr">35 </span>
<span id="L36" class="LineNr">36 </span>Syntax:  lfree_name$restore PATHNAME
<span id="L37" class="LineNr">37 </span>         lfn$restore PATHNAME
<span id="L38" class="LineNr">38 </span>
<span id="L39" class="LineNr">39 </span>
<span id="L40" class="LineNr">40 </span>Arguments:
<span id="L41" class="LineNr">41 </span>PATHNAME
<span id="L42" class="LineNr">42 </span>   is the relative or absolute pathname that identifies the restored
<span id="L43" class="LineNr">43 </span>   entryname.  A freed name is constructed from this entryname, the
<span id="L44" class="LineNr">44 </span>   directory entry having the freed name is found, and its name is
<span id="L45" class="LineNr">45 </span>   restored to entryname.
<span id="L46" class="LineNr">46 </span>
<span id="L47" class="LineNr">47 </span>
<span id="L48" class="LineNr">48 </span>Notes:  This entry point calls an installation subroutine that is part
<span id="L49" class="LineNr">49 </span>of the MIS to free entry names.  This installation subroutine, in turn,
<span id="L50" class="LineNr">50 </span>calls the installation_tools_ gate into ring 1 to allow the names on
<span id="L51" class="LineNr">51 </span>ring 1 library segments to be freed.  However, access to
<span id="L52" class="LineNr">52 </span>installation_tools_ is no longer required in order to use this tool.
<span id="L53" class="LineNr">53 </span>
<span id="L54" class="LineNr">54 </span>
<span id="L55" class="LineNr">55 </span>:Internal:  history_comment:  2019-10-21
<span id="L56" class="LineNr">56 </span>
<span id="L57" class="LineNr">57 </span>
<span id="L58" class="LineNr">58 </span>/****^  HISTORY COMMENTS:
<span id="L59" class="LineNr">59 </span>  1) change<span class="textRainbow_lv0_p0">(</span>2019-10-21<span class="textRainbow_lv0_o0">,</span>GDixon<span class="textRainbow_lv0_p0">)</span>, approve<span class="textRainbow_lv0_p0">(</span>2019-10-26<span class="textRainbow_lv0_o0">,</span>MCR10068<span class="textRainbow_lv0_p0">)</span>,
<span id="L60" class="LineNr">60 </span>     audit<span class="textRainbow_lv0_p0">(</span>2019-11-03<span class="textRainbow_lv0_o0">,</span>Swenson<span class="textRainbow_lv0_p0">)</span>, install<span class="textRainbow_lv0_p0">(</span>2019-11-03<span class="textRainbow_lv0_o0">,</span>MR12.6g-0033<span class="textRainbow_lv0_p0">)</span>:
<span id="L61" class="LineNr">61 </span>     Fix internal format errors.  Update to iso_date format.
<span id="L62" class="LineNr">62 </span>                                                   END HISTORY COMMENTS */
<span id="L63" class="LineNr">63 </span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
